#ifndef __INC_POS_PSCREEN_SCRTAGS_H
#define __INC_POS_PSCREEN_SCRTAGS_H
/*******************************************************************
 Includes Release 24
 (C) Copyright 1995-1997 proDAD
     All Rights Reserved

 $AUT Holger Burkarth
 $DAT >>ScrTags.h<<   15 Feb 1997    09:10:41 - (C) ProDAD
*******************************************************************/
#ifndef __INC_POS_PUTIL_TAGITEM_H
#include <pUtil/TagItem.h>
#endif

enum pOS_ScreenTags
{
  SCRTAG_First = TAG_USER + 0x20000,

  SCRTAG_LeftEdge,              /* (SLONG) [Win, Scr] */
  SCRTAG_TopEdge,               /* (SLONG) [Win, Scr] */
  SCRTAG_Width,                 /* (ULONG) [Win, Scr] */
  SCRTAG_Height,                /* (ULONG) [Win, Scr] */
  SCRTAG_Title,                 /* (const CHAR*) [Win, Scr] */
  SCRTAG_DefaultTitle,          /* scr_DefaultTitle (const CHAR*)  [Scr] */
  SCRTAG_RastPortTags,          /* for RastPort (const struct pOS_TagItem*) */
  SCRTAG_GfxTags,               /* for GfxMap (const struct pOS_TagItem*) */
  SCRTAG_ColorTags,             /* for ColorMap (const struct pOS_TagItem*) */
  SCRTAG_GfxMap,                /* RastPort->rp_GfxMap (struct pOS_GfxMap*) */
  SCRTAG_ColorMap,              /* RastPort->rp_ColorMap (struct pOS_ColorMap*) */
  SCRTAG_PubName,               /* (const CHAR*) [Scr] [Win] */
  SCRTAG_PubTask,               /* (struct pOS_Task*) [Scr] */
  SCRTAG_PubSignal,             /* Signal for SCRTAG_PubTask (UBYTE) [Scr] */
  SCRTAG_Screen,                /* (struct pOS_Screen*) [Win] */
  SCRTAG_Flags,                 /* (ULONG)  [Win] */
  SCRTAG_IDCMP,                 /* IDCMP for Window (enum pOS_IntuiMessageClass) [Win] */
  SCRTAG_MinWidth,              /* (ULONG) [Win] */
  SCRTAG_MaxWidth,              /* (ULONG) [Win] */
  SCRTAG_MinHeight,             /* (ULONG) [Win] */
  SCRTAG_MaxHeight,             /* (ULONG) [Win] */
  SCRTAG_TextFont,              /* (pOS_TextFont*) [Win, Scr] */
  SCRTAG_Gadget,                /* (pOS_Gadget*) [Win] */
  SCRTAG_DragMode,              /* (ULONG) [Win] */
  SCRTAG_SharedUserPort,        /* (pOS_MsgPort*) [Win] */
  SCRTAG_SuperGfxMap,           /* (pOS_GfxMap*) [Win] */
  SCRTAG_AutoAdjust,            /* (BOOL) [Win] */
  SCRTAG_ZipGadget,             /* (BOOL) [Win] */
  SCRTAG_PriTask,               /* (struct pOS_Task*) [Win] */
  SCRTAG_SetPri,                /* (SBYTE) [Win] */
  SCRTAG_MenuOnWinPos,          /* (BOOL) [Win] */
  SCRTAG_MonFileName,           /* (const dofiname_t*) [Scr] [Win] */
  SCRTAG_MonLock,               /* (const pOS_MonLock*) [Scr] [Win] */
  SCRTAG_MonFile,               /* (const pOS_MonFile*) [Scr] */
  SCRTAG_BgLayerHook,           /* (pOS_Callback*) [Win] (-1 == none, 0 == default) */
  SCRTAG_AutoSizeGadget,        /* (pOS_Gadget*) [Win] (Gadget for Window-Sizing) */
  SCRTAG_LayerFlags,            /* (ULONG) [Win] ( LAYERF_SzDamgXXX ) */
  SCRTAG_HelpID,                /* (const CHAR*) [Win] */
  SCRTAG_HelpFile,              /* (const CHAR*) [Win] */
  SCRTAG_ScreenTitle,           /* (const CHAR*) [Win] */
  SCRTAG_UnderMouse,            /* (BOOL) [Win] */
  SCRTAG_UserHandler,           /* (pOS_Callback*) [Win] ( BOOL(*cb_Code)(_R_A0 const pOS_Callback*,_R_A1 pOS_ScreenCallbackData*) ) */
  SCRTAG_BackgroundPen,         /* (ULONG) [Win] */
  SCRTAG_SizeMode,              /* (BOOL) [Win] default=1 */
  SCRTAG_InnerWidth,            /* (ULONG) [Win] */
  SCRTAG_InnerHeight,           /* (ULONG) [Win] */
  SCRTAG_BgFillGfxMap,          /* (const pOS_GfxMap*) [Win] */
  SCRTAG_AlwaysWinDrag,         /* (BOOL) [Win] Win wird immer verschoben */
  SCRTAG_InnerMinWidth,         /* (ULONG) [Win] */
  SCRTAG_InnerMinHeight,        /* (ULONG) [Win] */
  SCRTAG_InnerMaxWidth,         /* (ULONG) [Win] */
  SCRTAG_InnerMaxHeight,        /* (ULONG) [Win] */
  SCRTAG_IGfxType,              /* (enum pOS_IGfxTypes) [Win] */
  SCRTAG_PubNameFallBack,       /* (BOOL) [Win] default=0 */



  SCRTAGF_Zoom = TAG_USER + 0x20800,
  SCRTAGF_SizeGadget,
  SCRTAGF_DragBar,
  SCRTAGF_DepthGadget,
  SCRTAGF_CloseGadget,
  SCRTAGF_Backdrop,
  SCRTAGF_NoCareRefresh,
  SCRTAGF_Borderless,
  SCRTAGF_Activate,
  SCRTAGF_SizeBRight,
  SCRTAGF_SizeBBottom,
  SCRTAGF_GimmeZeroZero,
  SCRTAGF_SimpleRefresh,

};


#endif
