#ifndef __INC_POS_PSCREEN_SCREEN_H
#define __INC_POS_PSCREEN_SCREEN_H
/*******************************************************************
 Includes Release 24
 (C) Copyright 1995-1997 proDAD
     All Rights Reserved

 $AUT Holger Burkarth
 $DAT >>Screen.h<<   25 Jan 1997    11:58:18 - (C) ProDAD
*******************************************************************/
#ifndef __INC_POS_PLAYER_CLIP_H
#include <pLayer/Clip.h>
#endif
#ifndef __INC_POS_PSCREEN_DRAWINFO_H
#include <pScreen/DrawInfo.h>
#endif



/*----------------------------------
-----------------------------------*/
struct pOS_Screen
{
  struct pOS_ExNode           scr_Node;

  SLONG                       scr_LeftEdge;
  SLONG                       scr_TopEdge;        /* parameters of the screen */
  ULONG                       scr_Width;
  ULONG                       scr_Height;         /* parameters of the screen */

  SLONG                       scr_MouseX;         /* position relative to upper-left */
  SLONG                       scr_MouseY;

  const CHAR                 *scr_Title;          /* null-terminated Title text */
  struct pOS_RastPort        *scr_RastPort;

  UBYTE                       scr_Reserved1[32];

  ULONG                       scr_UserData[2];

/*----------------------------------*/

  ULONG                       scr_Flags;          /* (enum pOS_ScreenFlags) */
  ULONG                       scr_AllocFlags;     /* (enum pOS_ScreenAllocFlags) */

  const CHAR                 *scr_DefaultTitle;   /* for Windows without Screen-Title */

  struct pOS_ExList           scr_WinList;
  struct pOS_List             scr_GadList;

  UBYTE scr_BarHeight,scr_BarVBorder,scr_BarHBorder;
  UBYTE scr_MenuVBorder,scr_MenuHBorder;
  UBYTE scr_WBorTop,scr_WBorLeft,scr_WBorRight,scr_WBorBottom;
  UBYTE scr_WGadWidth,scr_WGadHeight;
  UWORD scr_WIconWidth;

  struct pOS_LayerInfo       *scr_LayerInfo;
  struct pOS_Layer           *scr_BarLayer;
  struct pOS_Rectangle        scr_ViewRect;    /* absoluter sichtbarer Ausschnitt */
  struct pOS_TextFont        *scr_Font;
  const struct pOS_DrawInfo  *scr_DrawInfo;
  struct pOS_ViewPort        *scr_ViewPort;
  UWORD                       scr_SaveColor0;
  struct pOS_IntuiUnit       *scr_IUnit;
  ULONG                       scr_SpFlags;   /* (enum pOS_MonitorInfoSpFlags) */

/*** SYSTEM PRIVATE ***/
};




/*----------------------------------
-----------------------------------*/
struct pOS_PubScreenNode
{
  struct pOS_ExNode      psn_Node;         /* ln_Name is screen name */
  struct pOS_Screen     *psn_Screen;
  UWORD                  psn_Flags;        /* (enum pOS_PubScreenNodeFlags) */
  UWORD                  psn_VisitorCount; /* how many visitor windows */
  UBYTE                  psn_Reserved[16];
  struct pOS_Task       *psn_SigTask;      /* who to signal when visitors gone */
  UBYTE                  psn_SigBit;       /* which signal */
/*** SYSTEM PRIVATE ***/
};



enum pOS_PubScreenNodeFlags
{
  PUBSCRB_Private=   0,
  PUBSCRF_Private=   0x0001,

  PUBSCRF_Default=   0x0002, /* Default PubScreen */
};



enum pOS_ScreenAllocFlags
{
  SCRALCF_GfxMap=       0x0001, /* scr_RastPort->rp_GfxMap wurde intern erzeugt */
  SCRALCF_ColorMap=     0x0002, /* scr_RastPort->rp_ColorMap wurde intern erzeugt */
};

enum pOS_ScreenFlags
{
  SCRFLGF_Help= 0x0001, /* */
  SCRFLGF_Drag= 0x0002, /* screen is able to drag */
};



#endif
